Bug 841999 - [abrt] totem-3.4.2-1.fc17: memcpy: Process /usr/bin/totem was killed by signal 11 (SIGSEGV)
[abrt] totem-3.4.2-1.fc17: memcpy: Process /usr/bin/totem was killed by signa...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
abrt_hash:bd3b426173a498d1d9633ccb68a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-20 15:53 EDT by nielsrune
Modified: 2013-07-31 16:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:51:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (115.30 KB, text/plain)
2012-07-20 15:53 EDT, nielsrune
no flags Details
File: maps (70.39 KB, text/plain)
2012-07-20 15:53 EDT, nielsrune
no flags Details
File: dso_list (24.13 KB, text/plain)
2012-07-20 15:53 EDT, nielsrune
no flags Details

  None (edit)
Description nielsrune 2012-07-20 15:53:41 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        totem /run/media/nrb/EN_109955
crash_function: memcpy
executable:     /usr/bin/totem
kernel:         3.4.5-2.fc17.i686.PAE
pid:            11077
pwd:            /home/nrb
time:           fre 20 jul 2012 20:33:27 CEST
uid:            1000
xsession_errors: 

backtrace:      Text file, 118067 bytes
dso_list:       Text file, 24710 bytes
maps:           Text file, 72083 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/nrb/2

comment:
:Insert dvd in tray (original region 2 dvd) - libdvdcss is installed
:On popup notification choose "watch movie" with Totem
:Totem then opens and after 2-3 seconds a green box appears in the video panel. Totem then crashes.
:
:Starting Totem and selecting watch from disc in the file menu doesn't seem to crash it.

core_backtrace:
:3acb49eb0c42230312a0b0e679162f2abc0f671f 0x142756 __memcpy_ssse3_rep libc.so.6 -
:55bc1b72edfd3ba0f7b352fe971697b21c860d55 0xe7544 - r600_dri.so -
:55bc1b72edfd3ba0f7b352fe971697b21c860d55 0xee9a3 - r600_dri.so -
:55bc1b72edfd3ba0f7b352fe971697b21c860d55 0xf1f62 - r600_dri.so -
:55bc1b72edfd3ba0f7b352fe971697b21c860d55 0xf21d3 - r600_dri.so -
:55bc1b72edfd3ba0f7b352fe971697b21c860d55 0xf259a - r600_dri.so -
:55bc1b72edfd3ba0f7b352fe971697b21c860d55 0x11f3eb - r600_dri.so -
:55bc1b72edfd3ba0f7b352fe971697b21c860d55 0xe12a3 - r600_dri.so -
:55bc1b72edfd3ba0f7b352fe971697b21c860d55 0xe19e5 - r600_dri.so -
:e015db845d7b85410c1f5acfdff87223da464b9f 0x18529 - libglapi.so.0 -
:41095f74cc54e0020e1eba7267798742c6cd3222 0x10dc7 - libcogl.so.9 -
:41095f74cc54e0020e1eba7267798742c6cd3222 0x4cfe3 - libcogl.so.9 -
:41095f74cc54e0020e1eba7267798742c6cd3222 0x4abd0 cogl_texture_new_from_bitmap libcogl.so.9 -
:41095f74cc54e0020e1eba7267798742c6cd3222 0x4ac80 cogl_texture_new_from_data libcogl.so.9 -
:e37eb3a39960494a2791b40d543fece1c2a4346a 0xa586 - libclutter-gst-1.0.so.0 -
:e37eb3a39960494a2791b40d543fece1c2a4346a 0xb449 - libclutter-gst-1.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x46feb g_main_context_dispatch libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47390 - libglib-2.0.so.0 -
:4a18cece7105bb73a4f2c3ad540803eb237e7543 0x47472 g_main_context_iteration libglib-2.0.so.0 -
:d0b2ee750bf29544a82c25b03f3fe22086c6c4be 0x98c04 g_application_run libgio-2.0.so.0 -
:dc41dcdf43649776753381c5bd86d821c3e74e04 0x1f34 main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=dell
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=e7a0feece436dc94267927470000000a-1342804544.85145-616924072
:QTDIR=/usr/lib/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/nrb/keyring-CZZGYw
:QTINC=/usr/lib/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=nrb
:USERNAME=nrb
:MAIL=/var/spool/mail/nrb
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/nrb/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/nrb
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=996
:LANG=da_DK.utf8
:GDM_LANG=da_DK.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/nrb
:SHLVL=1
:LOGNAME=nrb
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-GsAk5usYdB,guid=ee53a01d3e308205f046dea700000031
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/nrb
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-nrb-RdAJkK/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1002,unix/unix:/tmp/.ICE-unix/1002
:SSH_AUTH_SOCK=/run/user/nrb/keyring-CZZGYw/ssh
:GPG_AGENT_INFO=/run/user/nrb/keyring-CZZGYw/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/totem.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=11077
:DESKTOP_STARTUP_ID=gnome-shell-1224-dell-totem-12_TIME4710025

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 31064                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       31064                31064                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/nrb/.xsession-errors
:pos:	35652
:flags:	02002
:2:/home/nrb/.xsession-errors
:pos:	35652
:flags:	02002
:3:socket:[472606]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[472649]
:pos:	0
:flags:	02004002
:6:socket:[473170]
:pos:	0
:flags:	02004002
:7:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:8:socket:[472886]
:pos:	0
:flags:	02004002
:9:/dev/dri/card0
:pos:	0
:flags:	02
:10:socket:[473183]
:pos:	0
:flags:	02000002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[474151]
:pos:	0
:flags:	02004002
:13:socket:[473333]
:pos:	0
:flags:	04002
:14:socket:[473334]
:pos:	0
:flags:	04002
:15:anon_inode:inotify
:pos:	0
:flags:	02004000
:16:/dev/urandom
:pos:	0
:flags:	02000000
:17:socket:[473341]
:pos:	0
:flags:	02000002
:18:/home/nrb/.grl-podcasts
:pos:	40
:flags:	02100002
:19:/home/nrb/.cache/tracker/meta.db
:pos:	1173504
:flags:	02100000
:20:/home/nrb/.grl-metadata-store
:pos:	40
:flags:	02100002
:21:/home/nrb/.cache/tracker/meta.db-wal
:pos:	606824
:flags:	02100002
:22:/home/nrb/.cache/tracker/meta.db-shm
:pos:	0
:flags:	0100002
:23:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:24:socket:[474239]
:pos:	0
:flags:	04002
:25:/dev/sr0
:pos:	6889472
:flags:	0100000
:26:/dev/sr0
:pos:	7065600
:flags:	0100000
:27:socket:[474240]
:pos:	0
:flags:	04002
:28:pipe:[474241]
:pos:	0
:flags:	02004000
:29:pipe:[474241]
:pos:	0
:flags:	02004001
:30:socket:[472980]
:pos:	0
:flags:	02004002
:31:socket:[473542]
:pos:	0
:flags:	02004002
:32:socket:[473543]
:pos:	0
:flags:	02004002
:33:socket:[473544]
:pos:	0
:flags:	02004002
:34:socket:[473546]
:pos:	0
:flags:	02004002
:35:socket:[473547]
:pos:	0
:flags:	02004002
:36:socket:[473548]
:pos:	0
:flags:	02004002
:37:/dev/urandom
:pos:	0
:flags:	02100000

smolt_data:
:
:
:Generelt
:=================================
:UUID: badd0261-a3a1-4de5-a531-f290c6af6e7a
:OS: Fedora release 17 (Beefy Miracle)
:Standard kørselsniveau: Unknown
:Sprog: da_DK.utf8
:Platform: i686
:BogoMIPS: 6117.39
:Processorproducent: GenuineIntel
:Processormodel: Intel(R) Core(TM) i3 CPU         540  @ 3.07GHz
:Processormodelserie: 2
:Processorfamilie: 6
:Processormodelnummer: 37
:Antal af processorer: 4
:Processorhastighed: 3067
:Systemhukommelse: 3900
:Systemswap: 2047
:Producent: Dell Inc.
:System: Studio XPS 8100 
:Formfaktor: Desktop
:Kerne: 3.4.5-2.fc17.i686.PAE
:SELinux aktiveret: 1
:SELinux regelsæt: targeted
:SELinux fremtvunget: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Enheder
:=================================
:(32902:15112:4136:1037) pci, None, PCI/ISA, 5 Series Chipset LPC Interface Controller
:(5348:5778:4136:1037) pci, tg3, ETHERNET, NetLink BCM57780 Gigabit Ethernet PCIe
:(32902:15152:4136:1037) pci, i801_smbus, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:10274:4136:1037) pci, ahci, RAID, 82801 SATA RAID Controller
:(32902:15170:4136:1037) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1037) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4136:1037) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(4098:43616:4136:43616) pci, snd_hda_intel, MULTIMEDIA, Redwood HDMI Audio [Radeon HD 5600 Series]
:(4358:13315:4136:1037) pci, firewire_ohci, FIREWIRE, VT6315 Series Firewire Controller
:(32902:9294:4136:1037) pci, None, PCI/PCI, 82801 PCI Bridge
:(4098:26840:4136:26848) pci, radeon, VIDEO, Redwood [Radeon HD 5670]
:(32902:15164:4136:1037) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:4136:1037) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:64:4136:1037) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:15204:4136:1037) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:15180:4136:1037) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:65:4136:1037) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:
:
:Information om filsystem
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_dell-root / ext4 4096 4096 2555903 597564 469360 642112 405953 405953
:/dev/mapper/vg_dell-home /home ext4 4096 4096 240777301 218102967 206051307 60260352 60233392 60233392
:/dev/sdg1 WITHHELD vfat UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:/dev/sr0 WITHHELD udf 2048 2048 3926259 0 0 432 0 0
:

var_log_messages:
:Jul 20 19:42:43 dell kernel: [ 1666.518420] totem[2581]: segfault at aa8b4000 ip b718114c sp bffb4820 error 4 in libc-2.15.so[b703f000+1a8000]
:Jul 20 19:42:44 dell abrt[2604]: Saved core dump of pid 2581 (/usr/bin/totem) to /var/spool/abrt/ccpp-2012-07-20-19:42:43-2581 (176242688 bytes)
:Jul 20 20:04:18 dell kernel: [ 2958.240409] totem[2988]: segfault at a34fe000 ip b71bd756 sp bfe23664 error 4 in libc-2.15.so[b707b000+1a8000]
:Jul 20 20:04:19 dell abrt[3010]: Saved core dump of pid 2988 (/usr/bin/totem) to /var/spool/abrt/ccpp-2012-07-20-20:04:18-2988 (168525824 bytes)
:Jul 20 20:33:27 dell kernel: [ 4703.080729] totem[11077]: segfault at a2efe000 ip 4f00e756 sp bf9c6854 error 4 in libc-2.15.so[4eecc000+1a8000]
:Jul 20 20:33:27 dell abrt[11100]: Saved core dump of pid 11077 (/usr/bin/totem) to /var/spool/abrt/ccpp-2012-07-20-20:33:27-11077 (167661568 bytes)
Comment 1 nielsrune 2012-07-20 15:53:48 EDT
Created attachment 599449 [details]
File: backtrace
Comment 2 nielsrune 2012-07-20 15:53:50 EDT
Created attachment 599450 [details]
File: maps
Comment 3 nielsrune 2012-07-20 15:53:52 EDT
Created attachment 599451 [details]
File: dso_list
Comment 4 Fedora End Of Life 2013-07-03 16:39:46 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 16:51:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.